wnpa-sec-2013-09 · NTLMSSP dissector overflow

Summary

Name: NTLMSSP dissector overflow

Docid: wnpa-sec-2013-09

Date: January 29, 2013

Affected versions: 1.8.0 to 1.8.4, 1.6.0 to 1.6.12

Fixed versions: 1.8.5, 1.6.13

References: CVE-2013-1590

Details

Description

The NTLMSSP dissector could overflow a buffer. Discovered by Ulf Härnhammar.

Impact

It may be possible to make Wireshark crash by injecting a malformed packet onto the wire or by convincing someone to read a malformed packet trace file.

Resolution

Upgrade to Wireshark 1.8.5, 1.6.13 or later.